FullWrtGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a FullWrtGraph. More...

Inheritance diagram for FullWrtGraphInternal::SubDocument:

## Public Member Functions

| SubDocument (FullWrtGraph &pars, int id, MWAWColor fontColor)
| constructor
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

FullWrtGraph * | m_graphParser
| the graph parser
int | m_id
| the zone file id
MWAWColor | m_fontColor
| the default font color
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions

| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a FullWrtGraph.

## Constructor & Destructor Documentation

## SubDocument() [1/2]

FullWrtGraphInternal::SubDocument::SubDocument | ( | FullWrtGraph & | pars,
|  | int | id,
|  | MWAWColor | fontColor )

inline

constructor

Referenced by operator!=(), operator=(), and SubDocument().

## ~SubDocument()

FullWrtGraphInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## SubDocument() [2/2]

FullWrtGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private delete

## Member Function Documentation

## operator!=()

bool FullWrtGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

final virtual

operator!=

Reimplemented from MWAWSubDocument.

## operator=()

SubDocument & FullWrtGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private delete

## parse()

void FullWrtGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_fontColor

MWAWColor FullWrtGraphInternal::SubDocument::m_fontColor

protected

the default font color

Referenced by operator!=(), parse(), and SubDocument().

## m_graphParser

FullWrtGraph* FullWrtGraphInternal::SubDocument::m_graphParser

protected

the graph parser

Referenced by operator!=(), parse(), and SubDocument().

## m_id

int FullWrtGraphInternal::SubDocument::m_id

protected

the zone file id

Referenced by operator!=(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- FullWrtGraph.cxx